# Module 1: cahier de notes
## git, gitlab: gestion de version
### online resources
* git tutorials
  * https://parsons.eu/git/introduction/
  
### Software utilisés
* installés
  * git 64bit
  * RStudio
  * git GUI: SourceTree d'Atlassian
  
### à penser
* avant le premier commit / push:  
changer nom/mail du repository user: si hosted sur gitHub, GitLab  
https://stackoverflow.com/questions/10946893/git-name-and-email-address-configuration  
ou directement dans SourceTree  

# Module 2: la vitrine et l'envers du décor: le document computationnel  
## Pourquoi est-ce difficile?  
* Pas de backup
* Pas d'historique
* Pas de contrôle qualité  

Préjugé: Si personne n'exige/n'inspecte ces informations, à quoi bon s'embêter ?  

Tout rendre public?
* montre ses faiblesses (personne n'est parfait)
* quelqu'un pourrait trouver une erreur
* quelqu'un pourrait tirer avantage
* données sensibles

But final: éviter les dérives (en étant intransparent), mais surtout augmenter la qualité, fiabilité du travail  

[Microsoft's Excel Might Be The Most Dangerous Software On The Planet](https://www.forbes.com/sites/timworstall/2013/02/13/microsofts-excel-might-be-the-most-dangerous-software-on-the-planet/) from Tim Worstall, 2013-02-13

## Le document computationnel: principe  

* objectifs: inspecter + refaire

* la vitrine
** article classique: texte, graphique
* l'envers du décor
** zones texte
** zones code
** idée: écrire beaucoup de petits fragments

à l'auteur de décider si publie le document compact ou les détails des calculs et données.  

* principe: 1 seul document, session, export


# Module 3: la main à la pâte: une analyse répricable  
* definition des dates et semaines selon la norme [ISO 8601](https://fr.wikipedia.org/wiki/ISO_8601), cf. [MOOC](https://www.fun-mooc.fr/courses/course-v1:inria+41016+self-paced/courseware/5b932aa591d245d48d8943385cb3120a/916668b72a7b40fea3a79795562f8458/)  
** Le 8 août 2018 peut donc être écrit __2018-08-08__ ou __2018-W32-3__, car il s'agit du troisième jour (mercredi) de la semaine 32 de l'année 2018.
** la première de l'année est celle qui contient le premier jeudi de l'année.
** pour désigner une semaine entière, on ne fournit simplement pas le jour.

* R library [parsedate](https://cran.r-project.org/web/packages/parsedate/index.html) pour transformer les dates ISO 8601.

